diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index bb5527c..9266558 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/config.sgml -->
 
-<chapter Id="runtime-config">
+<chapter id="runtime-config">
   <title>Server Configuration</title>
 
   <indexterm>
diff --git a/doc/src/sgml/recovery-config.sgml b/doc/src/sgml/recovery-config.sgml
index 7f515dc..144b880 100644
--- a/doc/src/sgml/recovery-config.sgml
+++ b/doc/src/sgml/recovery-config.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/recovery-config.sgml -->
 
-<chapter Id="recovery-config">
+<chapter id="recovery-config">
   <title>Recovery Configuration</title>
 
   <indexterm>
diff --git a/doc/src/sgml/typeconv.sgml b/doc/src/sgml/typeconv.sgml
index 71ddc0f..f233e9d 100644
--- a/doc/src/sgml/typeconv.sgml
+++ b/doc/src/sgml/typeconv.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/typeconv.sgml -->
 
-<chapter Id="typeconv">
+<chapter id="typeconv">
 <title>Type Conversion</title>
 
 <indexterm zone="typeconv">
diff --git a/src/tools/msvc/Solution.pm b/src/tools/msvc/Solution.pm
index e1fe4e9..1a7b94d 100644
--- a/src/tools/msvc/Solution.pm
+++ b/src/tools/msvc/Solution.pm
@@ -389,8 +389,8 @@ EOF
 
     open(O, ">doc/src/sgml/version.sgml") || croak "Could not write to version.sgml\n";
     print O <<EOF;
-<!entity version "$self->{strver}">
-<!entity majorversion "$self->{majorver}">
+<!ENTITY version "$self->{strver}">
+<!ENTITY majorversion "$self->{majorver}">
 EOF
     close(O);
 }
